<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Meta -->
        <%- include("./index/meta") %>

        <!-- Style -->
        <%- include("./index/style") %>

        <!-- Data -->
        <%- include("./index/data") %>

        <!-- Script -->
        <%- include("./index/script") %>

        <!-- Tab -->
        <title>Frame Hub</title>
        <link rel="icon" href="./images/logo.ico" type="image/x-icon" />
    </head>
    <body>
        <div id="wrapper" @click="pageClick">
            <!-- Content -->
            <div id="content" class="container" v-if="loaded">    
                <div class="content-scroll">

                    <!-- Collection -->
                    <%- include("./index/collection") %>
                    <!-- Helminth -->
                    <%- include("./index/helminth") %>
                    
                </div>                
            </div>
            <!-- /Content -->
            

            <!-- Sidebar -->
            <div id="sidebar" class="container" v-if="loaded">
                <div v-for="p in pages" class="page-nav" :active="page == p.id" :page="p.id" @click="pageNavClick(p.id)">
                    <img :src="p.image">
                    <h2>{{ p.name }}</h2>
                </div>
            </div>
            <!-- /Sidebar -->

            <!-- Header -->
            <div id="header" class="container" v-if="loaded">

                <!-- Banner -->
                <div id="corner-box">
                    <img class="main-logo" src="./images/logo.png" height="65">
                </div>

                <!-- Search -->
                <div class="search-box">
                    <input type="text" id="search-input" v-model="search" autocomplete="off" spellcheck="false" placeholder="Type to search" @input="searchChanged">
                    <button id="search-clear" @click.prevent.stop="searchClearClick">&#xf00d;</button>
                </div>

                <!-- Login Header -->
                <div v-if="!loggedIn" id="user-login-header" @click.prevent.stop="loginMenuClick">
                    <span class="font-as">&#xf2f6;</span>
                    <h2>Sign in</h2>
                </div>

                <!-- User Header -->
                <div v-if="loggedIn" id="user-menu-header">
                    <img src="./images/tenno.jpg">
                    <h2>{{ user.username }}</h2>
                    <span class="font-as">&#xf0d9;</span>

                    <div>
                        <button title="Settings" @click.prevent="">
                            <span class="font-as">&#xf085;</span>
                        </button>
                        <button title="Sign Out">
                            <span class="font-as">&#xf2f5;</span>
                        </button>
                    </div>
                </div>

                <!-- Info Box -->
                <div id="info-box" v-if="infoBox.show" :class="infoBox.type" @click="toggleInfoBox" :title="infoBox.allowDismiss | dismissTitleFilter">
                    <pre v-show="!infoBox.minimized">{{ infoBox.text }}</pre>
                </div>

                <!-- Login Menu -->
                <%- include("./index/login-menu") %>
            </div>
            <!-- /Header -->

            <!-- Context Menus -->
            <%- include("./index/context-menu") %>
        </div>

        <!-- Overlays -->
        <%- include("./index/overlay") %>

    </body>
</html>